---
layout: docs
page_title: accounts change-password - Command
description: >-
  The "accounts change-password" command resets the password on account resources.
---

⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️
> [!IMPORTANT]  
> **Documentation Update:** Product documentation previously located in `/website` has moved to the [`hashicorp/web-unified-docs`](https://github.com/hashicorp/web-unified-docs) repository, where all product documentation is now centralized. Please make contributions directly to `web-unified-docs`, since changes to `/website` in this repository will not appear on developer.hashicorp.com.
⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️

# accounts change-password

Command: `boundary accounts change-password`

The `accounts change-password` command resets the password on account resources, if the types match and the operation is allowed by the given account type.
You must verify the current password to complete the password reset.

## Examples

The following example changes the password on a password-type account. If you execute the command without the `-current-password` and ` -new-password` parameters, you are
prompted to enter the password values.

```shell-session
$ boundary accounts change-password -id acctpw_1234567890
Please enter the current password (it will be hidden):
Please enter the new password (it will be hidden):
Please enter it one more time for confirmation:
```

**Example output:**

<CodeBlockConfig hideClipboard>

```plaintext
Account information:
  Auth Method ID:      ampw_1234567890
  Created Time:        Wed, 12 Jul 2023 12:20:54 PDT
  ID:                  acctpw_1234567890
  Type:                password
  Updated Time:        Wed, 12 Jul 2023 22:29:59 PDT
  Version:             5

  Scope:
    ID:                global
    Name:              global
    Type:              global

  Authorized Actions:
    no-op
    read
    update
    delete
    set-password
    change-password

  Attributes:
    Login Name:        admin
```

</CodeBlockConfig>


## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary accounts change-password [options] [args]
```

</CodeBlockConfig>


### Command options

- `-current-password` `(string: "")` - The current password for the account. If
   you do not specify the current password, the command prompts you to enter the password in a non-echoing way.

- `-id` `(string: "")` - The ID of the account for which to change the password.

- `-new-password` `(string: "")` - The new account password. If you do not specify a new password, the command prompts you to enter the password in a non-echoing way.

- `-version` `(int: 0)` The version of the account against which to perform the password reset operation. If you do not specify a version, the command automatically performs a check-and-set.

@include 'cmd-option-note.mdx'